<?php
include_once("../config/login.php");
include_once("../config/error.php");
date_default_timezone_set('Europe/Berlin');	

//timestamp aktuell
$joint_ag_start = time();

//ip-adresse
$ip_ag_start = $_SERVER['REMOTE_ADDR'];

//loeschen alter eintraege	
mysqli_query($mysql, "DELETE FROM lastminute_ag_start_on ");

//loeschen abgelaufener datensaetze
$result_kat = mysqli_query($mysql, "SELECT id, zimmer_id, datum_anfang FROM lastminute_daten_ag WHERE kat = 6");	
while ($row = mysqli_fetch_array($result_kat)) {
$id_ag = $row["id"];	
$zimmer_id_ag_start = $row["zimmer_id"];
$a_ag_start = $row["datum_anfang"];
	
if 	($a_ag_start < $joint_ag_start) {
mysqli_query($mysql, "DELETE FROM lastminute_daten_ag WHERE zimmer_id = '$zimmer_id_ag_start' AND id = '$id_ag '");
}
}

//suche aller gueltigen sonderangebote agentur
$result_kat_1 = mysqli_query($mysql, "SELECT id, zimmer_id, datum_anfang, datum_ende  FROM lastminute_daten_ag WHERE kat = 6");	
while ($row = mysqli_fetch_array($result_kat_1)) {
$zimmer_id_ag_start = $row["zimmer_id"];
$lastminute_id_ag_start = $row["id"];
$a_ag_start = $row["datum_anfang"];
$e_ag_start = $row["datum_ende"];

//auswahl der davon freigeschaltenen
$result = mysqli_query($mysql, "SELECT aktiv FROM lastminute WHERE zimmer = '$zimmer_id_ag_start'");	
($row = mysqli_fetch_array($result));
$aktiv = $row["aktiv"];

//wenn freigeschalten und gueltig
if ($aktiv == '1') {
//einschreiben der gefundenen aktiven und aktuellen
mysqli_query($mysql, "INSERT INTO lastminute_ag_start_on VALUES ('', '$zimmer_id_ag_start', '$a_ag_start', '$e_ag_start', '$lastminute_id_ag_start')");
}
}

//suche alle freien lastminute termine 
$result_kat_2 = mysqli_query($mysql, "SELECT zimmer_id, datum_anfang, datum_ende FROM lastminute_ag_start_on");	
while ($row = mysqli_fetch_array($result_kat_2)) {
$zimmer_id = $row["zimmer_id"];	
$a_ag_start = $row["datum_anfang"];
$e_ag_start = $row["datum_ende"];


// f�r timestamp 0-0-0 uhr
$taga_ag_start = "".date("d",$a_ag_start)."";
$monata_ag_start = "".date("m",$a_ag_start)."";
$jahra_ag_start = "".date("Y",$a_ag_start)."";

$a_ag_start = mktime(0,0,0,$monata_ag_start,$taga_ag_start,$jahra_ag_start);

// f�r timestamp 23-59-59 uhr
$tage_ag_start = "".date("d",$e_ag_start)."";
$monate_ag_start = "".date("m",$e_ag_start)."";
$jahre_ag_start = "".date("Y",$e_ag_start)."";

$e_ag_start = mktime(23,59,59,$monate_ag_start,$tage_ag_start,$jahre_ag_start);

// f�r an- abreise als frei
$sa_ag_start = $a_ag_start + 86400;
$se_ag_start = $e_ag_start - 86400;

////auslesen belegung aus dem belegungsplan anfang und ende der belegung 
$result_kat_3=mysqli_query($mysql, "SELECT zimmer FROM belegungs_plan WHERE '$sa_ag_start' <= datum_ende AND '$se_ag_start' >= datum_anfang AND zimmer = '$zimmer_id'");
while($row = mysqli_fetch_array($result_kat_3)) {
$zimmer_ag_start = $row["zimmer"];

//l�schen des gefundenen belegten objektes
mysqli_query($mysql, "DELETE FROM lastminute_ag_start_on WHERE zimmer_id = '$zimmer_ag_start'");
}
}

//anzahl der gefundenen freien und gueltigen objekte
$result_kat_4 = mysqli_query($mysql, "SELECT Count(*) anzahl FROM lastminute_ag_start_on");
while($row = mysqli_fetch_array($result_kat_4)) {
$anzahl_ag_start = $row["anzahl"];
}
//copyright jahresanzeige
function auto_copyright($year = 'auto'){ 
    if(intval($year) == 'auto'){ $year = date('Y'); }
    if(intval($year) == date('Y')){ echo intval($year); } 
    if(intval($year) < date('Y')){ echo intval($year) . ' - ' . date('Y'); }
    if(intval($year) > date('Y')){ echo date('Y'); } 
    } 
?>
<!doctype html> 
<html lang="de">
<head>
<title>Sonderangebote von Appartements der Urlaubsagentur Rügen an der Ostsee</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1">
<meta charset="utf-8">
<meta name="description" content="App-Suchportal der Urlaubsagentur Rügen - suchen und buchen Sie Ihr Appartement auf der Insel Rügen an der Ostsee">
<meta name="keywords" content="Sonderangebote, Sonderangebote Apartement, Sonderangebote Ferienappartement Rügen, Appartement Rügen, Appartement Rügen suchen, Ferienappartement an der Ostsee suchen, Appartement an der Ostsee, Unterkunft auf Rügen, Ferienunterkunft auf Rügen, Ferienunterkunft auf Rügen suchen">
<meta name="application-name" content="Sonderangebote für Ihren Urlaub an der Ostsee bei der Urlaubsagentur Rügen suchen und finden">
 <!--[if lt IE 9]>
 <script src="https://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
  <![endif]-->
  
<link rel="canonical" href="https://www.appartement-suchen-ruegen.de/php/sonderangebote.php" /> 
<meta http-equiv="expires" content="0">
<meta name="robots" content="index,follow">
<meta name="revisit-after" content="2 days"> 

<link rel="stylesheet" type="text/css" href="../css/styles.css" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.5.1/jquery.min.js"></script>
<script src="../js/trigger.js"></script>
<script>
			var iframesrc="../sonderangebote/anzeige.php";
</script>
<!--totop-->
<script>
$(document).ready(function(){
    $(window).scroll(function(){
        if ($(this).scrollTop() < 200) {
            $('#smoothscroll') .fadeOut();
        } else {
            $('#smoothscroll') .fadeIn();
        }
    });
    $('#smoothscroll').on('click', function(){
        $('html, body').animate({scrollTop:0}, 'fast');
        return false;
        });
});
</script>

<?php
if ($anzahl_ag_start != 0) {
echo '<link rel="stylesheet" type="text/css" href="../css/sonderangebot.css" />';
}
if ($anzahl_ag_start == 0) {
echo '<link rel="stylesheet" type="text/css" href="../css/sonderangebote.css" />';
}
?>
</head>
<body id="top">
<!--start container-->
<div id="container_sa">
    <!--start header-->
	<header>
    <!--start logo-->
    <a href="#" id="logo"><img src="../images/logo.png" width="240" height="140" alt="Ferienappartement auf R&uuml;gen suchen"/></a>    
	<!--ende logo-->
   <!--start menue-->
	<nav>
        <ul>
            <li id="n1"><a href="../index.php">Home</a></li>
            <li id="n2"><a href="karte.php">R&uuml;genkarte</a></li>
            <li id="n3"><a href="app.php">Appartements</a></li>
            <li class="activ_n4"><a href="sonderangebote.php">Sonderangebote</a></li>
            <li id="n5"><a href="kontakt.php">Kontakt</a></li>
            <li id="n6"><a href="impressum.php">Impressum</a></li>
        </ul>
    </nav>
	<!--ende menue-->
    <!--ende header-->
	</header>
   <!--start holder-->
   <div class="holder_content1">
       <section class="gruppe6">
       <h1 style="text-align:center">Sonderangebote</h1>
           <article>
           <h2>hier finden Sie die Sonderangebote von Appartements der Urlaubsagentur R&uuml;gen</h2>
                   <div id="sonderangebote">
					<script type="text/javascript">
					document.write('<iframe id="datamain" src="'+iframesrc+'" width="auto" height="700px" marginwidth="0" marginheight="0" hspace="0" vspace="0" frameborder="0" scrolling="no">&nbsp;</iframe>')
					
					</script>
										<noscript>zum anzeigen java script einschalten</noscript>
                    </div>
           </article> 
       </section>
   </div>
   <!--ende holder-->
   <div class="holder_content2">
       <section class="gruppe5">
           <article>
		   <h5 class="trigger"> &raquo; weitere Informationen:</h5>
				<div class="toggle_container">
					<h2>Buchung von Sonderangeboten</h2>
					<p>&Uuml;ber <strong>"Details"</strong> haben Sie die M&ouml;glichkeit weitere Informationen &uuml;ber das Objekt einzusehen und k&ouml;nnen direkt das Sonderangebot für das Appartement buchen. Die Reisezeit ist als Sonderangebot nur im vorgegebenen Zeitraum ver&auml;nderbar.<br />(muss aber mindestens 2 Tage betragen)<br />Unser Buchungsportal erreichen Sie &uuml;ber den Button <strong>"hier buchen"</strong>.<br />Nach der Eingabe Ihrer entsprechenden Angaben brauchen Sie nur auf den Button <strong>"jetzt buchen"</strong> klicken und Sie erhalten umgehend eine Best&auml;tigung Ihrer unverbindlichen Buchung per Email zugesandt.<br />Nach Pr&uuml;fung der Buchungsanfrage erhalten Sie eine Buchungsbest&auml;tigung per Email - in dieser ist der Zahlungstermin sowie der Link f&uuml;r die Rechnung und das &Uuml;berweisungsformular enthalten.<br />
Sie sind verpflichtet, die Ihnen zugegangene Buchungsbest&auml;tigung unmittelbar auf ihre Richtigkeit hin zu &Uuml;berpr&uuml;fen und die Urlaubsagentur R&uuml;gen ggf. auf Unrichtigkeiten oder Abweichungen hinzuweisen.<br />
Ein Hinweis auf Unrichtigkeiten oder Abweichungen, der nach Ablauf einer Frist von drei Tagen nach Zugang der Buchungsbest&auml;tigung erfolgt, kann nicht mehr ber&uuml;cksichtigt werden. Versp&auml;tet angezeigte Unrichtigkeiten bzw. Abweichungen berechtigen insbesondere nicht zum R&uuml;cktritt.
</p>
				</div>	
           </article> 
       </section>
   </div>
</div>
<!--ende container-->
<?php
//email protector
	function php_split_js_make_email($phpemail)
	{
		$pieces = explode("@", $phpemail);
		$lk = explode(".", $pieces[1]);
		echo '
			<script>
				var a = "<a href=\'mailto:";
				var b = "' . $pieces[0] . '";
				var c = "' . $lk[0] .'";
				var f = ".";
				var g = "' . $lk[1] .'";
				var d = "\' class=\'email\'>";
				var e = "</a>";
				document.write(a+b+"@"+c+f+g+d+b+"@"+c+f+g+e);
			</script>
			<noscript>zum versenden java script einschalten</noscript>
		';
	}
?>
   <!--start footer-->
   <footer>
   <div class="container">
      <section class="subnav">
	   &nbsp;&raquo;&nbsp;<a href="../index.php" title="Appartement suchen Startseite">Home</a>
	   &nbsp;&raquo;&nbsp;<a href="karte.php" title="finden Sie Appartements auf der R&uuml;genkarte">R&uuml;genkarte</a>
	   &nbsp;&raquo;&nbsp;<a href="app.php" title="Anzeige aller Appartements der Urlaubsagentur R&uuml;gen">Appartements</a>
	   &nbsp;&raquo;&nbsp;<a href="sonderangebote.php" title="Sonderangebote der Urlaubsagentur R&uuml;gen">Sonderangebote</a>
	   &nbsp;&raquo;&nbsp;<a href="kontakt.php" title="Hier k&ouml;nnen Sie mit uns Kontakt aufnehmen">Kontakt</a>
	   &nbsp;&raquo;&nbsp;<a href="impressum.php" title="Impressum und Disclaimer f&uuml;r das Suchportal">Impressum</a>
	   &nbsp;&raquo;&nbsp;<a href="datenschutz.php" title="Datenschutzerkl&auml;rung f&uuml;r das Suchportal">Datenschutz</a>
   </section>

       <section class="footer_links1">
           <h3>Kontakt:
           <span>Telefon: +49 (0) 3838 822 7931</span>
           <span>Fax: +49 (0) 3838 822 7932</span>
           <span>Mail:<?php php_split_js_make_email("suchen@appartement-suchen-ruegen.de"); ?></span>
		   </h3>
       </section>
   <section class="footer_links2">
       				<h3>Hotline:
       			      <span>Telefon: +49 (0) 172 70 30 868</span><br />
                    </h3>
   </section> 
   <img src="../images/lastminute.png" width="240" height="230" alt="" class="bilder_footer"/>
   <div id="footer2"><?php auto_copyright('2014');?>&nbsp;&nbsp;R&uuml;gen Web Design</div>
   <div id="footer3">Urlaubsagentur R&uuml;gen</div>
        	<ul id="oben">
					<a href="#top" id="smoothscroll" title="nach oben"></a>
			</ul>
   </div>
   </footer>
   <!--ende footer-->
</body>
</html>